<template>
	<!-- <div>不接单日期</div> -->
	<view class="box box-size">
		<view class="top box-size level">
			<view>
				<view class="text">
					添加不接单日期
				</view>
				您不会再接收到选择日期内的订单
			</view>
			<view @click="toDetail" class="buttom level" :style="{borderRadius:'31rpx'}">
				添加不接单日期
			</view>
		</view>
		
		
		
		
		<view class="buttom_ level" :style="{borderRadius:'41rpx'}">
			保存
		</view>
	</view>
</template>

<script setup>
	
	
	import {
		onLoad,
		onShow
	} from '@dcloudio/uni-app'
	
	
	import {
		insertOutDate,
		outDateList
	} from "@/api/date/index.js"
	
	import { ref } from 'vue';
	
	onLoad((options) => {
		addressId.value = options.addressId
	});
	
	onShow(() => {
		getList()
	})
	
	let addressId = ref(0)
	
	function getList(){
		outDateList({
			addressId : addressId.value
		})
		.then(res => {
			
		})
	}
	
	const toDetail = (id) => {
		uni.navigateTo({
			url: `/otherPages/myOrdersManage/date/detail?id=${id}&addressId=${addressId.value}`
		});
	}
</script>

<style scoped lang="scss">
	@import "index";
</style>